xtel (3.3.0-31) unstable; urgency=medium

  * debian/rules: Restrict C standard to C11. (Closes: Bug#1098173)
  * Update standards version to 4.6.2, no changes needed.

 -- Samuel Thibault <sthibault@debian.org>  Sat, 06 Sep 2025 07:32:45 +0200

xtel (3.3.0-30) unstable; urgency=medium

  * patches/time64: Fix build against time64 change (Closes: Bug#1091234)

 -- Samuel Thibault <sthibault@debian.org>  Tue, 24 Dec 2024 16:03:35 +0100

xtel (3.3.0-29) unstable; urgency=medium

  * patches/teleinfo: Fix snprintf call.
  * patches/gcc-14: Fix build with gcc 14 (Closes: Bug#1075687)

 -- Samuel Thibault <sthibault@debian.org>  Sun, 07 Jul 2024 20:39:06 +0200

xtel (3.3.0-28) unstable; urgency=medium

  * Switch to 3.0 quilt format (Closes: Bug#1073163)

 -- Samuel Thibault <sthibault@debian.org>  Sun, 16 Jun 2024 18:52:38 +0200

xtel (3.3.0-27) unstable; urgency=medium

  * Fix build with qa=+bug-implicit-func.

 -- Samuel Thibault <sthibault@debian.org>  Wed, 13 Mar 2024 19:48:29 +0100

xtel (3.3.0-26) unstable; urgency=medium

  [ Samuel Thibault ]
  * control: Bump Standards-Version to 4.6.0 (no change)
  * control: Make Multi-Arch: foreign.

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster (oldstable):
    + xtel: Drop versioned constraint on x11-common in Pre-Depends.
  * Trim trailing whitespace.
  * Update watch file format version to 4.
  * Bump debhelper from old 12 to 13.
  * Fix day-of-week for changelog entry 3.2.1-6.
  * Update standards version to 4.6.1, no changes needed.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 01 Jan 2023 23:14:10 +0100

xtel (3.3.0-25) unstable; urgency=medium

  * Imakefile: Fix calling ar.
  * control: Set Rules-Requires-Root to no.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 13 Sep 2021 08:37:46 +0200

xtel (3.3.0-24) unstable; urgency=medium

  * control: Bump Standards-Version to 4.5.0 (no change)
  * control: Bump debhelper compat to 12

 -- Samuel Thibault <sthibault@debian.org>  Sun, 01 Nov 2020 02:34:45 +0100

xtel (3.3.0-23) unstable; urgency=medium

  * control: Bump Standards-Version to 4.4.0 (no changes).
  * watch: Generalize pattern.
  * source/format: Set 1.0 format.
  * xm.c: Fix build with -fno-common, which will be the default with gcc-10
    (Closes: Bug#958003).

 -- Samuel Thibault <sthibault@debian.org>  Wed, 20 May 2020 10:45:21 +0200

xtel (3.3.0-22) unstable; urgency=medium

  [ Samuel Thibault ]
  * control: Bump Standards-Version to 4.2.0 (no changes).
  * watch: Fix.

  [ Ondřej Nový ]
  * d/changelog: Remove trailing whitespaces
  * d/control: Set Vcs-* to salsa.debian.org

 -- Samuel Thibault <sthibault@debian.org>  Tue, 01 Jan 2019 18:07:00 +0100

xtel (3.3.0-21) unstable; urgency=medium

  * Use canonical anonscm vcs URL.
  * control: Migrate priority to optional.
  * control: Bump Standards-Version to 4.1.4.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 29 Apr 2018 12:36:23 +0200

xtel (3.3.0-20) unstable; urgency=medium

  * menu: Convert to xtel.desktop.
  * control: Bump Standards-Version to 3.9.8.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 04 Sep 2016 19:36:24 +0200

xtel (3.3.0-19) unstable; urgency=medium

  * compat: Bump to 9.
  * Drop commented dh_ calls.
  * rules: Clear.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 22 Dec 2015 21:35:56 +0100

xtel (3.3.0-18) unstable; urgency=medium

  * Bump Standards-Version to 3.9.6 (no changes).

  [ Dhole ]
  * Don't store timestamps when calling gzip and remove timestamps from png
    to make package build reproducibly (Closes: #789965).

 -- Samuel Thibault <sthibault@debian.org>  Tue, 07 Jul 2015 23:59:08 +0200

xtel (3.3.0-17.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Eliminate libxp-dev build dependency (Closes: #733290).

 -- Michael Gilbert <mgilbert@debian.org>  Fri, 19 Sep 2014 04:20:50 +0000

xtel (3.3.0-17) unstable; urgency=low

  * Build-depend on libmotif-dev instead of lesstif2-dev (Closes: #714677).

 -- Samuel Thibault <sthibault@debian.org>  Mon, 01 Jul 2013 23:29:56 +0200

xtel (3.3.0-16) unstable; urgency=low

  * Fix mdmdetect crash due to incorrect argument parsing.

 -- Samuel Thibault <sthibault@debian.org>  Sat, 29 Jun 2013 21:48:25 +0200

xtel (3.3.0-15) unstable; urgency=low

  * Explicictly build-depend on libxp-dev, pulled through XmClientLibs from
    xutils-dev (Closes: #707623).

 -- Samuel Thibault <sthibault@debian.org>  Tue, 14 May 2013 01:35:51 +0200

xtel (3.3.0-14) unstable; urgency=low

  * control,rules: Use imagemagick instead of gif2png.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 10 Jun 2012 21:27:43 +0200

xtel (3.3.0-13) unstable; urgency=low

  * debian/rules: Add build-{arch,indep} rules.
  * control: Bump Standards-Version to 3.9.3 (no changes).

 -- Samuel Thibault <sthibault@debian.org>  Fri, 08 Jun 2012 23:29:28 +0200

xtel (3.3.0-12) unstable; urgency=low

  * protocoles.c: Fix crash on bogus fclose().
  * modem.c: Fix format security issue.
  * Imakefile: Set debugging flags to -g -O2.
  * debian/control: Depend on hardening-check.
  * debian/rules: Set DEB_BUILD_HARDENING=1 to enable hardening.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 07 Nov 2011 00:40:40 +0100

xtel (3.3.0-11) unstable; urgency=low

  * Bump Standards-Version to 3.9.2 (no change needed)
  * Remove spurious fonts installation in non-standard place.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 10 Apr 2011 21:10:19 +0200

xtel (3.3.0-10) unstable; urgency=low

  * debian/control: Add netpbm to Depends: to fix print.
  * Videotex/Videotex.c: Add arrow keys binding.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 17 Oct 2010 01:05:08 +0200

xtel (3.3.0-9) unstable; urgency=low

  * debian/postinst: Drop loading debconf/confmodule, as it makes
    configuration hang and is actually unused.
  * debian/control: Bump Standards-Version to 3.9.1 (no changes needed).

 -- Samuel Thibault <sthibault@debian.org>  Tue, 24 Aug 2010 21:38:22 +0200

xtel (3.3.0-8) unstable; urgency=low

  * Define MAXPATHLEN to fix hurd-i386 build.
  * Define USE_TERMIOS on kfreebsd-* too.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 09 Mar 2010 22:43:37 +0000

xtel (3.3.0-7) unstable; urgency=low

  * debian/control:
    - New maintainer (Closes: #474129).
    - Bump Standards-Version to 3.8.4 (no changes needed).
    - Replace xbase-clients build-dep with xfonts-utils (for bdftopcf and
      mkfontdir).
    - Replace xutils with xutils-dev (for xmkmf) (Closes: #527508).
    - Drop xbase-clients and xfonts-utils Depends.
    - Fix spelling.
    - Move ppp from Depends to Recommends.
    - Add xterm to Recommends for teleinfo support
  * debian/rules: Remove install-stamp on clean.
  * xteld.man: Replace quotes with double quotes.
  * debian/prerm: Remove call to install-docs.
  * Enable teleinfo support and fix it for UTF-8 support (Closes: #572730).

 -- Samuel Thibault <sthibault@debian.org>  Sat, 06 Mar 2010 16:03:18 +0100

xtel (3.3.0-6) unstable; urgency=low

  * QA upload.
  * Acknowledging NMUs, thanks to those who took care; Closes: #332160,
    #264614, #281225, #285962, #314770, #324273, #330324
  * debian/control
    - set QA Group as maintainer
    - bump Standards-Version to 3.8.0
    - added Homepage field
    - replaced build-dep on xlibs-data with xbitmaps; thanks to Julien Cristau
      and Lucas Nussbaum for the bug reports; Closes: #419015, #484185
    - replaced build-dep on x-dev with x11proto-core-dev
    - replaced depends on netbase with "openbsd-inetd | inet-superserver"
    - remove article from short description
  * make_xtel_lignes.sh
    - shebang uses bash now; thanks to Raphael Geissert for the report;
      Closes: #486063
  * debian/watch
    - added
  * debian/doc-base
    - converted to UTF-8
    - updated section to Network/Communication
  * debian/menu
    - updated section to Applications/Network/Communication
  * debian/rules
    - don't ignore error on clean
    - removed DH_COMPAT export
  * debian/compat
    - added with value 5

 -- Sandro Tosi <matrixhasu@gmail.com>  Thu, 31 Jul 2008 23:08:54 +0200

xtel (3.3.0-5.6) unstable; urgency=low

  * Non-maintainer upload to fix pending debconf issues.
  * Remove the overzealous debconf notes. Move their text to README.Debian
    Closes: #388988, #383395, #400012, #247639

 -- Christian Perrier <bubulle@debian.org>  Sun, 18 Feb 2007 19:43:02 +0100

xtel (3.3.0-5.5) unstable; urgency=high

  * Non-maintainer upload.
  * Add dependency on ${misc:Depends}. Closes: #405631

 -- Andreas Barth <aba@not.so.argh.org>  Wed, 10 Jan 2007 19:20:07 +0000

xtel (3.3.0-5.4) unstable; urgency=medium

  * Non-maintainer upload.
  * Only call update-inetd from postrm if present (closes: #389352). Usually
    update-inetd is there, but if it's missing, we know that no inetd is
    installed, so we don't need to update the (nonexistent) inetd
    configuration.

 -- martin f. krafft <madduck@debian.org>  Sat,  7 Oct 2006 12:10:44 +0200

xtel (3.3.0-5.3) unstable; urgency=low

  * Non-maintainer upload.
  * X fonts transition (Closes: #362406)
  * lesstif1 is deprecated, transition to lesstif2 (Closes: #374231)
  * Removed X11R6 from menu, dirs
  * Updated FAQ with correct font paths
  * Fixed manpage rule to use debhelper
  * Added x11-common predends by policy 11.8.7
  * Fixed menu quoting that lintian croaks about
  * Corrected FSF address
  * Updated standards version to 3.7.2 from 3.6.2
  * Bumped up compat ...
  * Removed conffiles. Debhelper does this for us.
  * Changed rules 'tmp' to 'xtel' for new debhelper compat
  * Removed debian/substvars, debian/postrm.debhelper,
  debian/prerm.debhelper and debian/postinst.debhelper

 -- Kai Hendry <hendry@iki.fi>  Wed, 19 Jul 2006 17:16:28 +0900

xtel (3.3.0-5.2) unstable; urgency=low

  * Non-maintainer upload.
  * Use perl's base64 decoding instead of mime-codecs, which no longer
    seems to exist. debian/rules has the change, and debian/control
    drops build-dependency on mime-codecs. Patch from Andreas Jochens.
    Closes: #351958.
  * debian/control: Bumbed Standards-Version to 3.6.2. No changes needed.

 -- Lars Wirzenius <liw@iki.fi>  Thu,  9 Mar 2006 19:43:55 +0000

xtel (3.3.0-5.1) unstable; urgency=high

  * Non-maintainer upload.
  * Split xlibs-dev build-dep (Closes: #346787).
  * Add debconf-2.0 alternative (Closes: #332160).
  * Added Japanese debconf translation (Closes: #264614).
  * Updated German debconf translation (Closes: #281225).
  * Added Danish debconf translation (Closes: #285962).
  * Added Czech debconf translation (Closes: #314770).
  * Added Vietnamese debconf translation (Closes: #324273).
  * Updated Swedish debconf translation (Closes: #330324).

 -- Luk Claes <luk@debian.org>  Fri, 20 Jan 2006 18:20:54 +0100

xtel (3.3.0-5) unstable; urgency=low

  * Added russian debconf template file. Closes: #137707.
  * Switched from mimencode to base64-decode for processing base64 encoded
    image file at compile time. Closes: #212335.
  * Switched to po-debconf (de, es, pt_BR, ru and sv translations may be
    checked again to be sure they are correct).  Closes: #203601.

 -- Eric Delaunay <delaunay@debian.org>  Thu, 25 Sep 2003 00:42:02 +0200

xtel (3.3.0-4) unstable; urgency=low

  * fix capitalization in description (closes: #125569)
  * mark some /etc files as conffiles (closes: #132170)
    (Thanks to David Kimdon <dwhedon@debian.org>).
  * New maintainer e-mail address.

 -- Eric Delaunay <delaunay@debian.org>  Sat,  9 Feb 2002 19:05:32 +0100

xtel (3.3.0-3) unstable; urgency=low

  * Change from dhelp to doc-base to support both dhelp & dwww at the same
    time. Added doc-base to Build-depends. Closes: #111320.
  * Added bullet images into the HTML documentation index page. Need to be
    encoded in pure text (base64 for instance) to be representable in the diff.
    Therefore metamail is appended to Build-depends (provides mimencode).

 -- Eric Delaunay <delaunay@lix.polytechnique.fr>  Wed,  5 Sep 2001 23:58:05 +0200

xtel (3.3.0-2) unstable; urgency=low

  * Oops, added -f to rm in debian/rules clean target. Closes: #111073.

 -- Eric Delaunay <delaunay@lix.polytechnique.fr>  Mon,  3 Sep 2001 21:54:39 +0200

xtel (3.3.0-1) testing unstable; urgency=low

  * New maintainer.
  * New upstream release (new I-Minitel support). Closes: #87642.
  * Now depends on ppp (required for I-Minitel to work).
  * Several security fixes not already applied to the upstream release:
    - potential security breaks in upstream script files for I-Minitel support.
    - security hole when creating temporary files while printing a hardcopy of
      the screen.
    - race condition when creating the lock file.
    - run xteld under control of tcpd to be able to restrict access to the
      service from network.
    Closes: #87787.
  * Better handling of lock files (both classic modem connection and new
    I-Minitel support based on a ppp link).  Closes: #5174.
  * Fixed bad X resource in Xtel[m].ad (missing '-o -' in a2ps printing
    command).
  * Added missing libxaw7-dev to build-depends. Closes: #105378.
  * New debconf's translations: Brazilian portuguese and Spanish.
    Closes: #93308, #102990.
  * Simplified autobuild of the Debian package.
  * Better support of very old slow modems (configurable sleep time between
    ioctls).
  * Hurd fixes (get rid of sys_errlist and termios patch).
    Thanks to Marcus Brinkmann <Marcus.Brinkmann@ruhr-uni-bochum.de>.
    Closes: #101633.
  * Added rudimentary dhelp support for french documentation.

 -- Eric Delaunay <delaunay@lix.polytechnique.fr>  Fri, 31 Aug 2001 19:11:09 +0200

xtel (3.2.1-15) unstable; urgency=low

  * Added (again) xutils to Build-Depends (closes: #89374)
    (something weird happened)

 -- Guillaume Morin <gemorin@debian.org>  Mon, 12 Mar 2001 13:06:21 +0100

xtel (3.2.1-14) unstable; urgency=high

  * applied patch from Eric Delaunay to fix segfaults (closes: #43566)
  * applied patch from Eric Delaunay to fix a symlink vulnerability
  * Marked app-defaults files as conffiles

 -- Guillaume Morin <gemorin@debian.org>  Tue,  6 Mar 2001 17:24:00 +0100

xtel (3.2.1-13) unstable; urgency=low

  * Added the swedish translation of the debconf note (closes: #83278)
  * Added the german translation of the debconf note (closes: #83536)

 -- Guillaume Morin <gemorin@debian.org>  Sat, 27 Jan 2001 15:43:31 +0100

xtel (3.2.1-12) unstable; urgency=low

  * Removed the symlink created by xlibs (closes: #77974)

 -- Guillaume Morin <gemorin@debian.org>  Thu, 30 Nov 2000 11:26:29 +0100

xtel (3.2.1-11) unstable; urgency=low

  * Added xutils to Depends (closes: #76324)

 -- Guillaume Morin <gemorin@debian.org>  Sun,  5 Nov 2000 23:54:08 +0100

xtel (3.2.1-10) unstable; urgency=low

  * Recompiled for Xfree 4.0.1
  * control: Modified Build-Depends for XF4
  * Switched /usr/X11R6/lib/X11/app-defaults/ -> /etc/X11/app-defaults/

 -- Guillaume Morin <gemorin@debian.org>  Sat,  4 Nov 2000 19:59:16 +0100

xtel (3.2.1-9) unstable; urgency=low

  * control: Added xbase-clients to Build-Depends field (closes: #66992)

 -- Guillaume Morin <gemorin@debian.org>  Mon, 10 Jul 2000 20:26:02 +0200

xtel (3.2.1-8) unstable; urgency=low

  * Fixed a little typo in the lignes file (thanks to P. Biondi)
  * rules: fixed a comment
  * Changed maintainer email address

 -- Guillaume Morin <gemorin@debian.org>  Fri,  7 Jul 2000 20:43:09 +0200

xtel (3.2.1-7) unstable; urgency=low

  * copyright: fixed location of the GPL
  * rules now use gif2png to make the diff smaller
  * postrm: makes sure that the logrotate conf file is removed
  * Fixed xtel logrotate configuration file
  * rules: fixed clean target

 -- Guillaume Morin <gemorin@attglobal.net>  Sun,  5 Mar 2000 11:56:03 +0100

xtel (3.2.1-6) unstable; urgency=low

  * Fixed another symlink problem (closes: #58162)

 -- Guillaume Morin <gemorin@attglobal.net>  Mon, 14 Feb 2000 17:58:38 +0100

xtel (3.2.1-5) unstable; urgency=low

  * Added Build-Depends field in control file
  * Logrotate is now recommended
  * Converted gif example into png
  * Changed use of logrotate to fit with the current policy
  * Added "compress" to logrotate.conf
  * Fixed creation of the symlink to french doc directory (closes: #55131)
  * Fixed cosmetic problems in the Imakefile and rules files
  * Changed directory names in the copyright file for the current policy
  * Modified rules to have a smaller diff file
  * Made modifications in Imakefile clearer
  * Changed directory names in README.Debian for the current policy
  * Added english translation of the FAQ

 -- Guillaume Morin <gemorin@attglobal.net>  Sun,  9 Jan 2000 17:04:32 +0100

xtel (3.2.1-4) unstable; urgency=low

  * New maintainer (sponsored by Christophe Le Bars <clebars@debian.org>)

 -- Guillaume Morin <gemorin@attglobal.net>  Tue,  4 Jan 2000 23:49:24 +0100

xtel (3.2.1-3) unstable; urgency=low

  * Yet another sponsor upload for Guillaume Morin <gemorin@attglobal.net> :)
  * Fixed debconf dependency in control file
  * Added comments in the rules file
  * French documentation files are no longer in /usr/share/doc/xtel
  * Added the symlink /usr/share/doc/xtel/fr to /usr/share/doc/LANG/fr/xtel
  * Fixed duplication of logrotate.conf

 -- Christophe Le Bars <clebars@debian.org>  Tue, 21 Dec 1999 21:15:34 +0100

xtel (3.2.1-2) unstable; urgency=low

  * Sponsor upload for Guillaume Morin <gemorin@attglobal.net>
  * Added the /usr/doc/xtel symlink to /usr/share/doc/xtel
  * Added the /usr/doc/LANG/fr/xtel symlink to /usr/share/doc/LANG/fr/xtel
  * Fixed debconf note priority
  * Fixed installation of documentation in french doc directory
  * Fixed installation of examples
  * Fixed location of the lograte configuration file
  * Debconf note is more complete

 -- Christophe Le Bars <clebars@debian.org>  Tue, 30 Nov 1999 19:35:22 +0100

xtel (3.2.1-1) unstable; urgency=low

  * Sponsor upload for Guillaume Morin <gemorin@attglobal.net>
  * New upstream version with pristine sources (closes: #46706, #48183)
  * Converted package management to debhelper
  * Added debconf support
  * Converted fonts management to use /etc/X11/fonts (closes: #20982)

 -- Christophe Le Bars <clebars@debian.org>  Sat,  2 Oct 1999 17:52:42 +0200

xtel (3.2.0-1) unstable; urgency=low

  * New upstream release with pristine sources

 -- Christophe Le Bars <clebars@debian.org>  Thu, 15 Oct 1998 23:41:00 +0200

xtel (3.1.4-4) frozen unstable; urgency=high

  * Changed FSF address
  * Fixed conffiles permissions
  * Changed xtel manual page directory
  * Fixed postinst set -e handling
  * Updated standards-version
  * Compiled against lesstif 0.83-2 (Fixed a core dump bug)

 -- Christophe Le Bars <clebars@debian.org>  Thu, 16 Apr 1998 00:53:18 +0200

xtel (3.1.4-3) unstable; urgency=low

  * Compiled against lesstif
  * Fixed mixed dependencies (Bug#14805)

 -- Christophe Le Bars <clebars@debian.org>  Thu, 13 Nov 1997 00:41:05 +0100

xtel (3.1.4-2) unstable; urgency=low

  * Build with libc6

 -- Christophe Le Bars <clebars@debian.org>  Fri, 26 Sep 1997 18:26:17 +0200

xtel (3.1.4-1) stable unstable; urgency=medium

  * Fix a security problem in the postinst script (Bug#11775)
  * New upstream source (bug fixes only release)
  * Add a menu entry

 -- Christophe Le Bars <clebars@debian.org>  Sun, 10 Aug 1997 23:51:29 +0200

xtel (3.1.3-1) unstable; urgency=low

  * New upstream source
  * Added xteld manpage (Bug#6072)

 -- Christophe Le Bars <clebars@debian.org>  Sat, 1 Mar 1997 14:17:08 +0100

xtel (3.1.1-1) frozen unstable; urgency=low

  * New upstream source (bug fixes only release)
  * Fixed typo in service configuration file (Bug#5765)

 -- Christophe Le Bars <clebars@debian.org>  Tue, 10 Dec 1996 00:16:23 +0100

xtel (3.1-2) frozen unstable; urgency=low

  * Fixed section field in control file

 -- Christophe Le Bars <clebars@debian.org>  Sat, 16 Nov 1996 22:04:36 +0100

xtel (3.1-1) unstable; urgency=low

  * New upstream version
  * Fixed documentation typo (Bug#4439)
  * Support multiple architectures (Bug#4037)
  * Added weekly logfile rotation
  * Converted package management files to new Debian-1.2 style

 -- Christophe Le Bars <clebars@debian.org>  Sat, 19 Oct 1996 23:08:17 +0200

xtel (3.0.7-2); urgency=low

  * Added postinst and prerm scripts
  * Depend on netbase (>=2.04)
  * syslogd support
  * more FSSTND compliant
  * Added documentation

 -- Christophe Le Bars <clebars@debian.org>  Sat, 19 Oct 1996 23:08:17 +0200

xtel (3.0.7-1); urgency=low

  * Initial release
  * Added Debian Linux package maintenance system files

 -- Christophe Le Bars <clebars@debian.org>  Sat, 19 Oct 1996 23:08:17 +0200
